Bug 1580200 - Missing IDNA handling in host(1) for reverse DNS (and different output at forward DNS)
Summary: Missing IDNA handling in host(1) for reverse DNS (and different output at for...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bind
Version: 29
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-21 01:38 UTC by Robert Scheck
Modified: 2018-10-04 20:32 UTC (History)
7 users (show)

Fixed In Version: bind-9.11.4-10.P2.fc29 bind-9.11.4-10.P2.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-02 19:32:12 UTC


Attachments (Terms of Use)

Description Robert Scheck 2018-05-21 01:38:30 UTC
Description of problem:
Comparing with bind-utils-9.9.4-51.el7_4.2.x86_64:

  $ host ümläutö.example.net
  ümläutö.example.net has address [...]
  ümläutö.example.net has IPv6 address [...]
  $

and:

  $ host 2001:[...]
  [...].1.0.0.2.ip6.arpa domain name pointer ümläutö.example.net.
  $ 

it looks like this at bind-utils-9.11.3-7.fc29.x86_64:

  $ host ümläutö.example.net
  xn--mlut-moa4iob.example.net has address [...]
  xn--mlut-moa4iob.example.net has IPv6 address [...]
  $ 

and:

  $ host 2001:[...]
  [...].1.0.0.2.ip6.arpa domain name pointer xn--mlut-moa4iob.example.net.
  $

While it indeed could be discussed whether the technical form being shown
is great at forward DNS or not, the reverse DNS is not handled anymore.

Version-Release number of selected component (if applicable):
bind-9.11.3-7.fc29

How reproducible:
Always, see above.

Actual results:
Missing IDNA handling in host(1) for reverse DNS (and different output at 
forward DNS).

Expected results:
At least IDNA handling in host(1) for reverse DNS.

Additional info:
Ideally also umlauts in forward DNS rather the technical form (same like
in RHEL/CentOS).

Oh, dig(1) shares the same issue with host(1) for reverse DNS, however
there adding +idnout shows the desired result. But for host(1) only the
IDN_DISABLE is documented, no IDN_ENABLE.

Comment 1 Jan Kurik 2018-08-14 10:56:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Petr Menšík 2018-09-26 18:08:24 UTC
I did turn off IDN output by default in custom patch. I did that to keep backward compatibility with previous versions (of libidn2). It was turned on by default in libidn(1) implementation however. Yes, it should be turned on by default again.

When playing with it however, I found out IDN_DISABLE documented in manual page does not work at all. Reported it to upstream [1]. It was internal environment variable used by idnkit. Downstream patch added disable by environment CHARSET=ASCII instead long time ago. That was lost also on refactoring from libidn.

I will make both variables working, but documented in manual page will be only upstream supported IDN_DISABLE.

1. https://gitlab.isc.org/isc-projects/bind9/issues/555

Comment 3 Fedora Update System 2018-09-27 09:05:11 UTC
bind-9.11.4-10.P2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f22b937f52

Comment 4 Fedora Update System 2018-09-27 09:05:28 UTC
bind-9.11.4-10.P2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f22b937f52

Comment 5 Fedora Update System 2018-09-27 11:06:32 UTC
bind-9.11.4-10.P2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a54e46032f

Comment 6 Fedora Update System 2018-09-27 11:06:49 UTC
bind-9.11.4-10.P2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a54e46032f

Comment 7 Fedora Update System 2018-09-27 16:41:27 UTC
bind-9.11.4-10.P2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a54e46032f

Comment 8 Fedora Update System 2018-09-27 18:41:25 UTC
bind-9.11.4-10.P2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f22b937f52

Comment 9 Fedora Update System 2018-10-02 19:32:12 UTC
bind-9.11.4-10.P2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-10-04 20:32:31 UTC
bind-9.11.4-10.P2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.